
// 第一活動中心座標
var LatLng1 = new google.maps.LatLng(25.017759, 121.540093);

// 鹿鳴廣場座標
var LatLng2 = new google.maps.LatLng(25.0151559, 121.5375452);

// 兩點的中間座標
var center = new google.maps.LatLng(25.0163323, 121.5396159);

var marker1, marker2;
var map;

// 設定導航服務
var directionsDisplay = new google.maps.DirectionsRenderer();
var directionsService = new google.maps.DirectionsService();

// 地圖初始化
var initialize = function () {

	// 設定地圖的選項
	var mapOptions  = {
		// 設定中心點
		center: center,
		// 設定縮放比例
		zoom: 17,
	};
	// 產生地圖
	map = new google.maps.Map(document.getElementById("googleMap"), mapOptions);

	// 標記 第一活動中心
	marker1 = new google.maps.Marker({
		map: map,
		position: LatLng1,
	});
	// 標記 鹿鳴廣場
	marker2 = new google.maps.Marker({
		map: map,
		position: LatLng2,
	});
};

// 改變地圖中心點
var changeCenter = function (index) {
	switch (index) {
		case 0:
			map.setCenter(center);
			break;
		case 1:
			map.setCenter(LatLng1);
			break;
		case 2:
			map.setCenter(LatLng2);
			break;
	}
}

// 計算路徑
function calcRoute() {
	// 設定導航地圖
	directionsDisplay.setMap(map);
	var request = {
		// 設定起點
		origin: LatLng1,
		// 設定終點
		destination: LatLng2,
		// 設定為走路模式
		travelMode: google.maps.TravelMode.WALKING,
	};
	// 查詢路經
	directionsService.route(request, function (result, status) {
		if (status == google.maps.DirectionsStatus.OK) {
			directionsDisplay.setDirections(result);
		}
	});
};

// 綁定移動中心點按鈕
$(".btn-primary").each( function(index) {
	$(this).bind("click", function() {
		changeCenter(index);
	});
});

// 綁定 routing 按鈕
$("#routing").bind("click", function() {
	calcRoute();
});

google.maps.event.addDomListener(window, 'load', initialize);